Summary

Major vendors including Oracle and IBM have discontinued support for the Java Development Kit (JDK) 5 since before 2010. In doing so, they have encouraged users to update to later JDK versions citing various negative implications of running with JDK 5. Consequently, AppDynamics is discontinuing support for the JDK 5.

This change is effective upon the release of AppDynamics Application Intelligence Platform 4.5 or April 6, 2018 (12 months from the date of this announcement), whichever is later.

Affected Software

Customers running Java applications using the JDK 5 and the AppDynamics Java Agent. 

 Impact

The AppDynamics Java Agent will no longer support monitoring Java applications running in the JDK 5. Supported legacy agents will continue to provide monitoring for applications running in the JDK 5.

Resolution

Upgrade to a supported version of the JDK: JDK 6 or later.

  • No labels